跳转到主要内容
POST
Search companies by criteria

请求规范

  • 方法与路径: POST /apis/v1/companyenrich/search-companies
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/companyenrich/search-companies
  • Runtime 事实版本: 820bb7817c59193621186d0a7e630f3f0f7d277be8c4a30ac65cde11e8c585c7
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.0093 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.0093
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
page
integer
必填

The page number to return. Must be greater than 0

必填范围: 1 <= x <= 100
page_size
integer
必填

The number of results to return in each page. Must be between 1 and 100

必填范围: 1 <= x <= 100
示例:

10

type
enum<string>[]

The list of company types to filter by

可用选项:
private,
public,
self-employed,
self-owned,
partnership,
nonprofit,
educational,
government
lists
string[]

The list IDs to filter by

query
string

The search query to apply on the company name and domain

Maximum string length: 250
cities
integer[]

The city IDs to filter by

states
integer[]

The state IDs to filter by

exclude
object

Exclusion filters to apply on the companies.

regions
string[]

The region IDs to filter by

require
enum<string>[]

The features that must exist for the company

可用选项:
linkedin,
twitter,
facebook,
instagram,
angellist,
crunchbase,
youtube,
country,
city,
state,
revenue,
foundedYear,
anyFunding
revenue
enum<string>[]

The list of revenue ranges to filter by

可用选项:
under-1m,
1m-10m,
10m-50m,
50m-100m,
100m-200m,
200m-1b,
over-1b
category
enum<string>[]

The list of company categories to filter by

可用选项:
b2b,
b2c,
b2g,
e-commerce,
media,
service-provider,
mobile,
saas
示例:
keywords
string[]

The keywords to filter by

countries
string[]

The 2 letter country codes to filter by

示例:
employees
enum<string>[]

The list of employee counts to filter by

可用选项:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K
naics_code
integer[]

The NAICS codes to filter by. Can be 2 to 6 digit codes. In case of a 2-5 digit code, all 6 digit codes under it will be included

founded_year
object

The range of years

funding_year
object

The range of years

technologies
string[]

The technologies to filter by

funding_amount
object

The funding amount range to filter by

funding_rounds
enum<string>[]

The funding rounds to filter by

可用选项:
seed,
debt_financing,
angel,
venture,
series_a,
series_b,
series_c,
series_d,
series_e,
series_f,
series_g,
series_h,
other
semantic_query
string

The semantic search query to find companies with. More natural language version of the standard query.

Maximum string length: 500
semantic_weight
number

The semantic weight to apply to the results. Must be between 0 and 1. 0.7 is default.

必填范围: 0 <= x <= 1
workforce_growth
object

Filter companies by workforce growth percentage over a selected period and department.

category_operator
enum<string>

The operator to apply to the filters. Defaults to And.

可用选项:
And,
Or
keywords_operator
enum<string>

The operator to apply to the filters. Defaults to And.

可用选项:
And,
Or
technologies_operator
enum<string>

The operator to apply to the filters. Defaults to And.

可用选项:
And,
Or

响应

Tool result data

page
integer
必填
items
object[]
必填
totalItems
integer
totalPages
integer